> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenia.team/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Project



## OpenAPI

````yaml POST /api/v1/task/createTask?project
openapi: 3.1.0
info:
  title: Xenia Team API - Create Project
  version: 1.0.0
  description: >-
    Creates a recurring task. If `projectType` is included, it also creates a
    project and links the task to it.
servers:
  - url: https://api.xenia.team
security: []
paths:
  /api/v1/task/createTask?project:
    post:
      tags:
        - Tasks
        - Projects
      summary: Create Task or Project
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                  example: user based project
                description:
                  type: string
                recurringTask:
                  type: boolean
                  example: true
                requestThisTask:
                  type: string
                  enum:
                    - Weekly
                    - Monthly
                    - Daily
                recurringByEvery:
                  type: string
                  example: Week1
                intervalWeek:
                  type: array
                  items:
                    type: string
                    enum:
                      - Mon
                      - Tue
                      - Wed
                      - Thu
                      - Fri
                      - Sat
                      - Sun
                startTime:
                  type: string
                  format: date-time
                dueTime:
                  type: string
                  format: date-time
                endDate:
                  type: string
                  format: date-time
                isTimeBound:
                  type: boolean
                priority:
                  type: string
                  enum:
                    - None
                    - Low
                    - Medium
                    - High
                    - Critical
                assignees:
                  type: array
                  items:
                    type: string
                    format: uuid
                serviceTypeId:
                  type:
                    - string
                    - 'null'
                  format: uuid
                AutomationId:
                  type:
                    - string
                    - 'null'
                  format: uuid
                editInstance:
                  type: string
                  enum:
                    - One
                    - All
                  example: One
                isAutoTagLocation:
                  type: boolean
                isMultiTasks:
                  type: boolean
                isProject:
                  type: boolean
                projectType:
                  type: string
                  enum:
                    - user
                    - asset
                    - role
                workspaceId:
                  type: string
                  format: uuid
                  description: UUID of the workspace.
                notification:
                  type: object
                  properties:
                    statusChange:
                      type: object
                      properties:
                        recipients:
                          type: array
                          items:
                            type: string
                    overdue:
                      type: object
                      properties:
                        recipients:
                          type: array
                          items:
                            type: string
              required:
                - title
                - requestThisTask
                - recurringTask
                - startTime
                - dueTime
                - workspaceId
      responses:
        '201':
          description: Successful task and/or project creation
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      title:
                        type: string
                      type:
                        type: string
                        enum:
                          - user
                          - asset
                          - role
                      entityIds:
                        type: array
                        items:
                          type: string
                          format: uuid
                      assigneesRoles:
                        type:
                          - array
                          - 'null'
                      metadata:
                        type:
                          - object
                          - 'null'
                      isPaused:
                        type: boolean
                      isLocationAutoTag:
                        type: boolean
                      state:
                        type: string
                        example: creating
                      WorkspaceId:
                        type: string
                        format: uuid
                      CreatedBy:
                        type: string
                        format: uuid
                      UpdatedBy:
                        type: string
                        format: uuid
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
                      deletedAt:
                        type:
                          - string
                          - 'null'
                        format: date-time
                  extra_meta:
                    type: object
                    properties:
                      message:
                        type: string
                        example: >-
                          We are setting up your project, Please check back
                          shortly
        '400':
          description: Bad Request - Invalid input data.
        '401':
          description: Unauthorized - Missing or invalid authentication.
        '403':
          description: Forbidden - Insufficient permissions to create projects.
        '404':
          description: Not Found - Workspace does not exist.
        '500':
          description: Internal Server Error.
      security:
        - clientKey: []
          clientSecret: []
components:
  securitySchemes:
    clientKey:
      type: apiKey
      in: header
      name: x-client-key
    clientSecret:
      type: apiKey
      in: header
      name: x-client-secret

````